AurionAI Docs

Patch Agent Shift

PATCH
/api/v2/agent-shifts/{shift_id}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

shift_id*Shift Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v2/agent-shifts/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "created_at": "2019-08-24T14:15:22Z",
  "effective_from": "string",
  "effective_to": "string",
  "id": "string",
  "is_active": true,
  "name": "string",
  "schedule": [
    {}
  ],
  "timezone": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "user_email": "string",
  "user_id": "string",
  "user_name": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}